KSSLPeerInfo Class Reference

`#include <ksslpeerinfo.h>`

## Public Member Functions

| ~KSSLPeerInfo ()
KSSLCertificate & | getPeerCertificate ()
bool | certMatchesAddress ()
bool | cnMatchesAddress (QString cn)
void | setPeerHost (QString host=QString::null)
const QString & | peerHost () const
void | reset ()

## Protected Attributes

KSSLCertificate | m_cert

## Friends

class | KSSL

## Detailed Description

KDE SSL Peer Data.

This class contains data about the peer of an SSL connection.

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSL KDE SSL Peer Data

Definition at line 42 of file ksslpeerinfo.h.

## Constructor & Destructor Documentation

KSSLPeerInfo::~KSSLPeerInfo | ( |  | ) |

Destroy this instance.

Definition at line 52 of file ksslpeerinfo.cc.

## Member Function Documentation

bool KSSLPeerInfo::certMatchesAddress | ( |  | ) |

Determine if the peer's certificate matches the address set with setPeerHost().

Note that this is a match in the "https" sense, taking into account, for instance, wildcards.

Returns
  true if it matches

See also
  setPeerHost

Definition at line 72 of file ksslpeerinfo.cc.

bool KSSLPeerInfo::cnMatchesAddress | ( | QString | cn | ) |

Determine if the given "common name" matches the address set with setPeerHost().

Note that this is a match in the "https" sense, taking into account, for instance, wildcards.

Returns
  true if it matches

See also
  setPeerHost

Definition at line 89 of file ksslpeerinfo.cc.

KSSLCertificate & KSSLPeerInfo::getPeerCertificate | ( |  | ) |

Get a reference to the peer's certificate.

Returns
  a reference to the peer's certificate

See also
  KSSLCertificate

Definition at line 56 of file ksslpeerinfo.cc.

const QString & KSSLPeerInfo::peerHost | ( |  | ) | const

Returns the host we are connected to.

Definition at line 168 of file ksslpeerinfo.cc.

void KSSLPeerInfo::reset | ( |  | ) |

Clear out the host name.

Definition at line 163 of file ksslpeerinfo.cc.

void KSSLPeerInfo::setPeerHost | ( | QString | host = `QString::null` | ) |

Set the host that we are connected to.

This is generally set by KSSL, and should be exactly what the user -thinks- he is connected to. (for instance, the host name in the url)

Parameters

  host | the hostname

Definition at line 60 of file ksslpeerinfo.cc.

The documentation for this class was generated from the following files:

- ksslpeerinfo.h
- ksslpeerinfo.cc

KDE Home | KDE Accessibility Home | Description of Access Keys